## openssn 1.3

=== Makefile ===
PREFIX ?= /usr
SSN = openssn
DATADIR = $(PREFIX)/share/openssn
OPTDIR = /opt/openssn
VERSION = 1.3

all:
	$(MAKE) VERSION=$(VERSION) PREFIX=$(PREFIX) OPTDIR=$(OPTDIR) DATADIR=$(DATADIR) -C src
	gzip -c openssn.6 > openssn.6.gz

clean:
	rm -f src/*.o $(SSN)
	rm -f openssn.6.gz

windows:
	$(MAKE) -C src -f Makefile.windows

install: all
	mkdir -p $(PREFIX)/bin
	mkdir -p $(DATADIR)/data
	mkdir -p $(DATADIR)/images
	mkdir -p $(DATADIR)/ships
	mkdir -p $(DATADIR)/sounds
	mkdir -p $(PREFIX)/share/pixmaps
	mkdir -p $(PREFIX)/share/applications
	mkdir -p $(PREFIX)/share/man/man6/
	cp $(SSN) $(PREFIX)/bin/
	cp images/* $(DATADIR)/images
	cp data/* $(DATADIR)/data
	cp ships/* $(DATADIR)/ships
	cp sounds/* $(DATADIR)/sounds
	cp openssn.png $(PREFIX)/share/pixmaps
	cp openssn.desktop $(PREFIX)/share/applications
	cp openssn.6.gz $(PREFIX)/share/man/man6

optinstall: all
	mkdir -p $(OPTDIR)
	mkdir -p $(OPTDIR)/data
	mkdir -p $(OPTDIR)/images
	mkdir -p $(OPTDIR)/ships
	mkdir -p $(OPTDIR)/sounds
	mkdir -p $(PREFIX)/share/applications
	mkdir -p $(PREFIX)/share/pixmaps
	cp $(SSN) $(OPTDIR)
	cp images/* $(OPTDIR)/images
	cp data/* $(OPTDIR)/data
	cp ships/* $(OPTDIR)/ships
	cp sounds/* $(OPTDIR)/sounds
	cp openssn.desktop $(PREFIX)/share/applications/
	cp openssn.png $(PREFIX)/share/pixmaps/

deinstall:
	rm -rf $(PREFIX)/bin/$(SSN)
	rm -rf $(DATADIR)
	rm -rf $(PREFIX)/share/man/man6/openssn.6.gz
	rm -f $(PREFIX)/share/applications/openssn.desktop
	rm -f $(PREFIX)/share/pixmaps/openssn.png

optdeinstall:
	rm -rf $(OPTDIR)
	rm -rf $(PREFIX)/share/applications/openssn.desktop
	rm -rf $(PREFIX)/share/pixmaps/openssn.png

tarball: clean
	cd .. && tar czf openssn-$(VERSION).tar.gz openssn --exclude=.svn

zipfile: clean
	cd .. && zip -r openssn-$(VERSION).zip openssn --exclude \*.svn\*

=== src/Makefile ===
CC = g++
PREFIX ?= /usr
DEVCFLAGS = -Wall -g -D_GNU_SOURCE `sdl-config --cflags` 
CFLAGS = -O2 -Wall `sdl-config --cflags` -Wno-write-strings \
# -DDEBUG_HELICOPTER # -DDEBUGMAP # -DAIDEBUG # -DDEBUG 
LIBS = -lm -lSDL_gfx -lSDL_image -lSDL_mixer `sdl-config --libs`
OBJS = 	main.o sonar.o radar.o esm.o control.o submarine.o adcap.o coord.o stack.o contact.o towedarray.o targetmotionanalysis.o boatpositionlog.o dfont.o dstack.o message.o gameclock.o files.o mission.o menu.o draw.o sound.o map.o winfunctions.o helicopter.o
SSN = ../openssn
DATADIR = $(PREFIX)/share/games/openssn
VERSION ?= 0.0

.SUFFIXES: .cpp .o

.cpp.o:	
	$(CC) $(CFLAGS) -DVERSION=$(VERSION) -DDATADIR=\"$(DATADIR)\" -DOPTDIR=\"$(OPTDIR)\" -c $<

.o:
	$(CC) $(CLFAGS) $< -o $@

all: $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(SSN)

=== debian/changelog ===
openssn (1.3-1) unstable; urgency=low

  * New upstream release.
    - Fix unintended creation of spurious font.dat/largefont.dat files in
      current working directory. (Closes: #675744)
  * Refresh patches.
    - Remove fix-gcc47-ftbfs.patch; applied upstream.
    - Rename fix-makefile-typo.patch -> fix-datadir-path.patch
  * Remove unused lintian override.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 03 Jun 2012 20:22:19 -0700

openssn (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #640167)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 30 May 2012 22:16:17 -0700

=== debian/control ===
Source: openssn
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 debhelper (>= 9),
 libsdl-gfx1.2-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 3.9.3
Homepage: http://openssn.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/openssn/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/openssn/

Package: openssn
Architecture: any
Depends: openssn-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: modern submarine tactical simulator
 OpenSSN is a submarine simulation (subsim) which tries to emulate the
 behaviour of modern submarines. The player is placed in command of a
 submarine and is able to move about in a deep ocean environment.

Package: openssn-data
Architecture: all
Depends: ${misc:Depends}
Suggests: openssn
Description: modern submarine tactical simulator (data)
 OpenSSN is a submarine simulation (subsim) which tries to emulate the
 behaviour of modern submarines. The player is placed in command of a
 submarine and is able to move about in a deep ocean environment.
 .
 This package contains data files for OpenSSN.

Package: openssn-dbg
Section: debug
Priority: extra
Architecture: any
Depends: openssn (= ${binary:Version}), ${misc:Depends}
Description: modern submarine tactical simulator (debug)
 OpenSSN is a submarine simulation (subsim) which tries to emulate the
 behaviour of modern submarines. The player is placed in command of a
 submarine and is able to move about in a deep ocean environment.
 .
 This package contains debugging symbols for OpenSSN.

## openssn 1.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SSN = openssn
 DATADIR = $(PREFIX)/share/openssn
 OPTDIR = /opt/openssn
-VERSION = 1.3
+VERSION = 1.4
 
 all:
 	$(MAKE) VERSION=$(VERSION) PREFIX=$(PREFIX) OPTDIR=$(OPTDIR) DATADIR=$(DATADIR) -C src
@@ -65,5 +65,5 @@
 	cd .. && tar czf openssn-$(VERSION).tar.gz openssn --exclude=.svn
 
 zipfile: clean
-	cd .. && zip -r openssn-$(VERSION).zip openssn --exclude \*.svn\*
+	cd .. && zip -r openssn-$(VERSION)-source.zip openssn --exclude \*.svn\*

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CC = g++
+CXX ?= clang++
 PREFIX ?= /usr
 DEVCFLAGS = -Wall -g -D_GNU_SOURCE `sdl-config --cflags` 
 CFLAGS = -O2 -Wall `sdl-config --cflags` -Wno-write-strings \
@@ -12,11 +12,11 @@
 .SUFFIXES: .cpp .o
 
 .cpp.o:	
-	$(CC) $(CFLAGS) -DVERSION=$(VERSION) -DDATADIR=\"$(DATADIR)\" -DOPTDIR=\"$(OPTDIR)\" -c $<
+	$(CXX) $(CFLAGS) -DVERSION=$(VERSION) -DDATADIR=\"$(DATADIR)\" -DOPTDIR=\"$(OPTDIR)\" -c $<
 
 .o:
-	$(CC) $(CLFAGS) $< -o $@
+	$(CXX) $(CLFAGS) $< -o $@
 
 all: $(OBJS)
-	$(CC) $(OBJS) $(LIBS) -o $(SSN)
+	$(CXX) $(OBJS) $(LIBS) -o $(SSN)

=== debian/changelog ===
openssn (1.4-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Add Alfonso Sabato Siciliano <alfix86@gmail.com> to Uploaders.
  * Update Standards version to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 26 May 2013 03:17:17 -0700

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Cheng <Vincentc1208@gmail.com>
+Uploaders:
+ Vincent Cheng <Vincentc1208@gmail.com>,
+ Alfonso Sabato Siciliano <alfix86@gmail.com>
 Build-Depends:
  debhelper (>= 9),
  libsdl-gfx1.2-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://openssn.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/openssn/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/openssn/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr
	
	dh_install

override_dh_strip:
	dh_strip --dbg-package=openssn-dbg

=== debian/watch ===
version=3
http://sf.net/openssn/openssn-(.*)\.tar\.gz
